SDL_GetHapticName(3)

NAME
SDL_GetHapticName - Get the implementation dependent name of a haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetHapticName(SDL_Haptic *haptic);

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the name of the selected haptic device. If no name can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetHapticInstanceName(3)